com.io7m.jcanephora.async

## Interface JCGLAsyncInterfaceUsableGL33Type

- All Known Subinterfaces:
    JCGLAsyncInterfaceGL33Type
  All Known Implementing Classes:
    JCGLAsyncInterfaceGL33
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface JCGLAsyncInterfaceUsableGL33Type

  An "asynchronous" wrapper around an `JCGLInterfaceGL33Type` interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <B> CompletableFuture<B>` | `evaluate(BiFunction<JCGLInterfaceGL33Type,com.io7m.jfunctional.Unit,B> f)` Evaluate a function on the context's dedicated OpenGL thread.
    `<A,B> CompletableFuture<B>` | `evaluateWith(A context, BiFunction<JCGLInterfaceGL33Type,A,B> f)` Evaluate a function on the context's dedicated OpenGL thread.

- - ### Method Detail

    - #### evaluateWith

          <A,B> CompletableFuture<B> evaluateWith(A context,
                                                  BiFunction<JCGLInterfaceGL33Type,A,B> f)

      Evaluate a function on the context's dedicated OpenGL thread.
      Type Parameters:
        `A` - The type of user-defined context values
        `B` - The type of returned values
      Parameters:
        `context` - A user-defined context value, passed to `f`
        `f` - The function that will be evaluated
      Returns:
        The value returned by `f`

    - #### evaluate

          default <B> CompletableFuture<B> evaluate(BiFunction<JCGLInterfaceGL33Type,com.io7m.jfunctional.Unit,B> f)

      Evaluate a function on the context's dedicated OpenGL thread.
      Type Parameters:
        `B` - The type of returned values
      Parameters:
        `f` - The function that will be evaluated
      Returns:
        The value returned by `f`

Copyright © 2016 <code@io7m.com> http://io7m.com